Update Linux kernel version in tst-mman-consts.py

System Internals / glibc - Joseph Myers [codesourcery.com] - 2 January 2019 18:35 EST

This patch updates the Linux kernel version in tst-mman-consts.py to 4.20 (meaning that's the version for which glibc is expected to have the same constants as the kernel, up to the exceptions listed in the test). (Once we have more such tests sharing common infrastructure, I expect the kernel version will be something set in the infrastructure shared by all such tests, rather than something needing updating separately for each test for each new kernel version.)

Tested with build-many-glibcs.py.

- sysdeps/unix/sysv/linux/tst-mman-consts.py (main): Expect constants to match with Linux 4.20.

acb55dcb89 Update Linux kernel version in tst-mman-consts.py.
ChangeLog | 3 +++
sysdeps/unix/sysv/linux/tst-mman-consts.py | 2 +-
2 files changed, 4 insertions(+), 1 deletion(-)

Upstream: sourceware.org


  • Share